/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.properties.message;

import java.text.MessageFormat;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoPropertiesMessage/メッセージ定義[BlancoProperties]が内部的に利用するリソースバンドルクラス。]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 */
class BlancoPropertiesMessageResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoPropertiesMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoPropertiesMessage]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoPropertiesMessageResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/properties/message/BlancoPropertiesMessage");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoPropertiesMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoPropertiesMessage]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoPropertiesMessageResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/properties/message/BlancoPropertiesMessage", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoPropertiesMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoPropertiesMessage]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoPropertiesMessageResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/properties/message/BlancoPropertiesMessage", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[BlancoPropertiesMessage], key[MBPRI001]
     *
     * [与えられたファイル名[{0}]は [.jar]で終わっていません。[.jar]で終わるファイル名を与えてください。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBPRI001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbpri001(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "与えられたファイル名[{0}]は [.jar]で終わっていません。[.jar]で終わるファイル名を与えてください。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBPRI001");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoPropertiesMessage], key[MBPRP001]
     *
     * [バンドルURI[{0}]。キー読み込み: (\)エスケープ中にもかかわらず行末に到達: [{1}]] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBPRP001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbprp001(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "バンドルURI[{0}]。キー読み込み: (\\)エスケープ中にもかかわらず行末に到達: [{1}]";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBPRP001");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoPropertiesMessage], key[MBPRP002]
     *
     * [バンドルURI[{0}]。存在するはずのキー[{1}] (ファイル上は[{2}]) でjava.util.Propertiesから読み込みを試みましたが nullが戻ってきました。現在の java.util.Propertiesの内容は以下の通りです。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @param arg2 置換文字列{2}を置換する値。java.lang.String型を与えてください。
     * @return key[MBPRP002]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbprp002(final String arg0, final String arg1, final String arg2) {
        // 初期値として定義書の値を利用します。
        String strFormat = "バンドルURI[{0}]。存在するはずのキー[{1}] (ファイル上は[{2}]) でjava.util.Propertiesから読み込みを試みましたが nullが戻ってきました。現在の java.util.Propertiesの内容は以下の通りです。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBPRP002");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1, arg2}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoPropertiesMessage], key[MBPRP003]
     *
     * [プログラムで通過してはならない箇所を通過しようとしました。バンドルURI[{0}]、キー[{1}]。(最終的な状態として入力に nullが与えられようとしました。)] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBPRP003]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbprp003(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "プログラムで通過してはならない箇所を通過しようとしました。バンドルURI[{0}]、キー[{1}]。(最終的な状態として入力に nullが与えられようとしました。)";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBPRP003");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoPropertiesMessage], key[MBPRP004]
     *
     * [バンドルURI[{0}]。キーの読み込みで 長さ0のキーを取得しました。(ファイル上は[{1}]) このプロパティファイルは処理できないものと判断して処理スキップします。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBPRP004]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbprp004(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "バンドルURI[{0}]。キーの読み込みで 長さ0のキーを取得しました。(ファイル上は[{1}]) このプロパティファイルは処理できないものと判断して処理スキップします。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBPRP004");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoPropertiesMessage], key[MBPRMR01]
     *
     * [Manifest読込: java.util.jar.Manifest からメインアトリビュートの取得 (getMainAttributes) に失敗しました。{0}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBPRMR01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbprmr01(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "Manifest読込: java.util.jar.Manifest からメインアトリビュートの取得 (getMainAttributes) に失敗しました。{0}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBPRMR01");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoPropertiesMessage], key[MBPRMR02]
     *
     * [Manifest読込: マニフェスト内の バンドル名 (Bundle-Name アトリビュート) を取得することができませんでした。] (ja)<br>
     *
     * @return key[MBPRMR02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbprmr02() {
        // 初期値として定義書の値を利用します。
        String strFormat = "Manifest読込: マニフェスト内の バンドル名 (Bundle-Name アトリビュート) を取得することができませんでした。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBPRMR02");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoPropertiesMessage], key[MBPRMR03]
     *
     * [Manifest読込: マニフェスト内の バンドルシンボル名 (Bundle-SymbolicName アトリビュート) を取得することができませんでした。] (ja)<br>
     *
     * @return key[MBPRMR03]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbprmr03() {
        // 初期値として定義書の値を利用します。
        String strFormat = "Manifest読込: マニフェスト内の バンドルシンボル名 (Bundle-SymbolicName アトリビュート) を取得することができませんでした。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBPRMR03");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoPropertiesMessage], key[MBPRMR04]
     *
     * [Manifest読込: マニフェスト内の バンドルバージョン (Bundle-Version アトリビュート) を取得することができませんでした。] (ja)<br>
     *
     * @return key[MBPRMR04]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbprmr04() {
        // 初期値として定義書の値を利用します。
        String strFormat = "Manifest読込: マニフェスト内の バンドルバージョン (Bundle-Version アトリビュート) を取得することができませんでした。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBPRMR04");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoPropertiesMessage], key[MBPRMR11]
     *
     * [Manifest読込: 指定されたプラグインディレクトリ[{0}]は存在しません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBPRMR11]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbprmr11(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "Manifest読込: 指定されたプラグインディレクトリ[{0}]は存在しません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBPRMR11");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoPropertiesMessage], key[MBPRMR12]
     *
     * [Manifest読込: 指定されたプラグインディレクトリ[{0}]は、実際にはディレクトリではありませんでした。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBPRMR12]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbprmr12(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "Manifest読込: 指定されたプラグインディレクトリ[{0}]は、実際にはディレクトリではありませんでした。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBPRMR12");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoPropertiesMessage], key[MBPRMR21]
     *
     * [Manifest読込: 指定されたプラグインjarファイル[{0}]は存在しません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBPRMR21]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbprmr21(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "Manifest読込: 指定されたプラグインjarファイル[{0}]は存在しません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBPRMR21");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoPropertiesMessage], key[MBPRMR22]
     *
     * [Manifest読込: 指定されたプラグインjarファイル[{0}]は、実際にはファイルではありませんでした。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBPRMR22]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbprmr22(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "Manifest読込: 指定されたプラグインjarファイル[{0}]は、実際にはファイルではありませんでした。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBPRMR22");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoPropertiesMessage], key[MBPRMJ01]
     *
     * [プラグインjarファイル化: 指定されたプラグインルートディレクトリ[{0}]は存在しません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBPRMJ01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbprmj01(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "プラグインjarファイル化: 指定されたプラグインルートディレクトリ[{0}]は存在しません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBPRMJ01");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoPropertiesMessage], key[MBPRMJ02]
     *
     * [プラグインjarファイル化: 指定されたプラグインルートディレクトリ[{0}]は実際にはディレクトリではありませんでした。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBPRMJ02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbprmj02(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "プラグインjarファイル化: 指定されたプラグインルートディレクトリ[{0}]は実際にはディレクトリではありませんでした。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBPRMJ02");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }
}
